/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __CACHE_H__
#define __CACHE_H__

#define PORNVIEW_RC_DIR_THUMBS ".pornview/thumbnails"
#define PORNVIEW_CACHE_DIR ".thumbnails"
#define PORNVIEW_CACHE_THUMB_EXT ".png"

gint            cache_ensure_dir_exists (gchar * path, mode_t mode);
gchar          *cache_get_location (const gchar * source, gint include_name,
				    const gchar * ext, mode_t * mode);
gchar          *cache_find_location (const gchar * source, const gchar * ext);

void            cache_maintain_home (gint clear);
gint            cache_maintain_home_dir (const gchar * dir, gint recursive,
					 gint clear);
gint            cache_maintain_dir (const gchar * dir, gint recursive,
				    gint clear);

void            cache_maint_moved (const gchar * src, const gchar * dest);
void            cache_maint_removed (const gchar * source);

#endif /* __CACHE_H__ */
