/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __PREFS_WIN_H__
#define __PREFS_WIN_H__

#include "prefs.h"

typedef GtkWidget *(*CreatePrefsPage) (void);

typedef struct PrefsPage_Tag
{
    gchar          *title;
    gchar          *parent;
    gchar          *sibling;
    CreatePrefsPage create_page_fn;

    GtkCTreeNode   *node;
    GtkWidget      *page;
}
PrefsPage;

extern GtkWidget *prefs_window;

extern Config  *conf_temp;

void            prefs_window_open (void);

#endif /* __PREFS_WIN_H__ */
