/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#include "pornview.h"

#include "viewtype.h"
#include "browser.h"
#include "imageview.h"
#include "videoplay.h"

void
viewtype_set (ViewType type)
{
    if (gtk_notebook_get_current_page (GTK_NOTEBOOK (BROWSER_VIEW)) != type)
    {
	if (type == VIEWTYPE_IMAGEVIEW)
	{
	    gtk_widget_show (gtk_notebook_get_nth_page
			     (GTK_NOTEBOOK (BROWSER_VIEW), 0));
	    gtk_notebook_set_page (GTK_NOTEBOOK (BROWSER_VIEW), type);
	    gtk_widget_hide (gtk_notebook_get_nth_page
			     (GTK_NOTEBOOK (BROWSER_VIEW), 1));

	    IMAGEVIEW_IS_HIDE = FALSE;

#ifdef ENABLE_XINE
	    VIDEOPLAY_IS_HIDE = TRUE;
#endif

	}
	else
	{
	    gtk_widget_show (gtk_notebook_get_nth_page
			     (GTK_NOTEBOOK (BROWSER_VIEW), 1));
	    gtk_notebook_set_page (GTK_NOTEBOOK (BROWSER_VIEW), type);
	    gtk_widget_hide (gtk_notebook_get_nth_page
			     (GTK_NOTEBOOK (BROWSER_VIEW), 0));

	    IMAGEVIEW_IS_HIDE = TRUE;

#ifdef ENABLE_XINE
	    VIDEOPLAY_IS_HIDE = FALSE;
#endif

	}
    }
}
